function [mu_Ws, sigma2_Ws, beta0, beta1, beta2] = p_score_AST(mu_s, sigma_s, mu_a, sigma_a, c, Q)

% Mean and variance of W in the treated/study population %
mu_Ws     = mu_s + sigma_s*((normpdf((-c-mu_s)/sigma_s) - normpdf((c-mu_s)/sigma_s))/...
                            (normcdf((c-mu_s)/sigma_s) - normcdf((-c-mu_s)/sigma_s)));
sigma2_Ws = (sigma_s^2)*(1 + ((((-c-mu_s)/sigma_s)*normpdf((-c-mu_s)/sigma_s) - ((c-mu_s)/sigma_s)*normpdf((c-mu_s)/sigma_s))/...
                             (normcdf((c-mu_s)/sigma_s) - normcdf((-c-mu_s)/sigma_s)))...
                           -((normpdf((-c-mu_s)/sigma_s) - normpdf((c-mu_s)/sigma_s))/...
                             (normcdf((c-mu_s)/sigma_s) - normcdf((-c-mu_s)/sigma_s)))^2);                        

% Propensity score coefficients                         
beta0 = log(sigma_a/sigma_s) + log(((normcdf((c-mu_a)/sigma_a) - normcdf((-c-mu_a)/sigma_a))/...
                                    (normcdf((c-mu_s)/sigma_s) - normcdf((-c-mu_s)/sigma_s))))...
                             - 0.5*((mu_s/sigma_s)^2 - (mu_a/sigma_a)^2)...
        -log((1-Q)/Q);
                         
beta1 = mu_s/sigma_s^2 - mu_a/sigma_a^2;

beta2 = -0.5*(1/sigma_s^2 - 1/sigma_a^2);

end

